Skip to main content

Get exception day

GET{{server}}/api/v1/dispenser/exceptionDay

This endpoint returns the exception day of today. The weekday means the type of exception.

  • true - it's an exception, the branch is closed or custom opening hours defined in openingHours property.

  • 0 .. 6 - day change from Sunday to Saturday

Request​

Authorization​

HeaderValue
AuthorizationApikey {{dispenserApikey}}

Headers​

KeyValue
Acceptapplication/json
X-WSID{{dispenserWsID}}

Code snippets​

curl -X GET '{{server}}/api/v1/dispenser/exceptionDay' \
-H 'Accept: application/json' \
-H 'X-WSID: {{dispenserWsID}}' \
-H 'Authorization: Apikey {{dispenserApikey}}'

Example​

Example request
GET{{server}}/api/v1/dispenser/exceptionDay
Headers (2)
KeyValue
Acceptapplication/json
X-WSID{{dispenserWsID}}
Example response 200 Ok
Response headers (9)
KeyValue
Access-Control-Expose-Headers*
Cache-Controlno-store, no-cache, must-revalidate
Access-Control-Allow-Origin*
Access-Control-Allow-MethodsPOST, PUT, GET, OPTIONS, DELETE
Access-Control-Allow-Credentialstrue
Content-Length240
Access-Control-Max-Age86400
Access-Control-Allow-HeadersContent-Type, Authorization, X-Requested-With
Content-Typeapplication/json;charset=utf-8
Body
[
{
"branch": "00000000-0000-4000-0003-000000000001",
"times": {
"year": 2025,
"month": 5,
"day": 7
},
"weekday": 0,
"openingHours": [],
"status": 1,
"name": "Blackout",
"key": "196a9de6-2046-4b7f-3c0e-aa06fe3a400d",
"type": 21,
"aspect": null,
"time": 1746606645764
}
]